"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CONFIG_KEY_REGEX = /^[\w-.]+$/i;
const ROOT_CONFIG_KEY_REGEX = /^\/[\w-.]+$/i;
exports.isValidResolvedConfigKey = (string) => CONFIG_KEY_REGEX.test(string);
exports.isValidRootConfigKey = (string) => ROOT_CONFIG_KEY_REGEX.test(string);
exports.isValidConfigKey = (string) => exports.isValidResolvedConfigKey(string) || exports.isValidRootConfigKey(string);
exports.containsQuotes = (string) => string.includes('"') || string.includes("'") || string.includes('`');
exports.resolveRootConfigKey = (key) => key.slice(1);
